Summary:	The GNOME system monitor.
Name:     	gtop
Version: 	1.0.9
Release:	6mdk
Copyright:	GPL
Group:		Monitoring
BuildRequires: XFree86-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel libgtop-devel zlib-devel
Source: 	ftp://ftp.gnome.org/pub/GNOME/stable/sources/gtop/%{name}/%{name}-%{version}.tar.bz2
Source1:	gnome-gtop48.xpm.bz2
Source2:	gnome-gtop32.xpm.bz2
Source3:	gnome-gtop16.xpm.bz2
URL:		http://www.gnome.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root


%description
GNOME is the GNU Network Object Model Environment. This powerful
environment is both easy to use and easy to configure.

This package will install the GNOME system monitor gtop,
which shows memory graphs and processes.

%prep
%setup -q
echo "	*****     Applying RH patches        *****	"
echo "	*****     Applying Helix patches     *****	"

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


# Mandrake menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}

cat << EOF >  $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):\
 needs="x11"\
 section="Applications/Monitoring"\
 title="gtop"\
 longtitle="The GNOME system monitor"\
 command="%{_bindir}/gtop"\
 icon="gnome-gtop.xpm"
EOF


# icon
mkdir -p $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_liconsdir} $RPM_BUILD_ROOT%{_miconsdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_liconsdir}/gnome-gtop.xpm
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{_iconsdir}/gnome-gtop.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT%{_miconsdir}/gnome-gtop.xpm

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

## menu
%{update_menus}

%postun
/sbin/ldconfig
## menu
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/gtoprc
%{_menudir}/*
#%{_datadir}/gnome/apps/*/*
%{_datadir}/pixmaps/*
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm
%{_datadir}/gnome/help/gtop

%changelog
* Thu Sep  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-6mdk
- Really add locales

* Thu Sep  7 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-5mdk
- Add missing icons
- use find_lang macro
- Add missing help

* Tue Aug  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-4mdk
- Remove docdir (dam's sucks :)
- embed menu entry in specfile

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.9-3mdk
- automatically added BuildRequires

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.0.9-2mdk
- spec cleanup
- use %%{update_menus} and %%{clean_menus}

* Tue Jun 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-1mdk
- new release
- fix URL
- remove debug info from compilation step (anyway, they were stripped by
  spechelper)
- RPM chmouelization (%%makeinstall, %%configure, %%{_*dir})
- bzip2 source
- remove helix patch which is now in core tarball
- convert menu entry icon from png to xpm

* Tue Apr 18 2000 Pixel <pixel@mandrakesoft.com> 1.0.7-0_helix_2
- fix % post

* Wed Apr 12 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.7-0.3mdk
- adjust release.
- made from Helix.

* Sat Apr 1  2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.0.7-0.2mdk_helix_1
- Oh yeah, add the menu also

* Fri Mar 31 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.0.7-0.1mdk_helix_1
- generaly make rpmlint happy, and link for curr glibc

